org.gradle.api.component

## Interface SoftwareComponentContainer

- All Superinterfaces:
    Collection<SoftwareComponent>, DomainObjectCollection<SoftwareComponent>, Iterable<SoftwareComponent>, NamedDomainObjectCollection<SoftwareComponent>, NamedDomainObjectSet<SoftwareComponent>, Set<SoftwareComponent>

      @Incubating
      public interface SoftwareComponentContainer
      extends NamedDomainObjectSet<SoftwareComponent>

  A Container that contains all of the Software Components produced by a Project.

- - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getNamer, getNames, getRules`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.util.Collection

      `clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`